<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.BeginTransaction Method (TransactionConfig, Transaction)
DatabaseEnvironment Class See Also Send Feedback

Create a new transaction in the environment.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public Transaction BeginTransaction(
    	TransactionConfig cfg,
    	Transaction parent
    )

Visual Basic (Declaration)

    Public Function BeginTransaction ( _
    	cfg As TransactionConfig, _
    	parent As Transaction _
    ) As Transaction

Visual C++

    public:
    Transaction^ BeginTransaction(
    	TransactionConfig^ cfg,
    	Transaction^ parent
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.TransactionConfig
  The configuration properties for the transaction

parent
  Type: BerkeleyDB..::.Transaction
  If non-null, the new transaction is a nested transaction, with parent as the new transaction's parent. Transactions may be nested to any level.

#### Return Value

A new transaction object

# Remarks

In the presence of distributed transactions and two-phase commit, only the parental transaction, that is a transaction without a parent specified, should be passed as an parameter to Prepare(array<Byte>[]()[]).

# See Also

DatabaseEnvironment Class
BeginTransaction Overload
BerkeleyDB Namespace